2019-03-22 07:07 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000512NetSurfRISC OS-specificpublic2015-03-10 10:34
ReporterRichard Porter 
Assigned ToVincent Sanders 
SeverityminorReproducibilityhave not tried 
StatusclosedResolutionfixed 
PlatformOSRISC OSOS Version6.16
Product Version3.0 
Target VersionFixed in Version3.1 
Summary0000512: Seg fault
DescriptionNS crashed when I clicked on the image on this page. After rerunning NS it rendered OK.

Additional InformationImported from sourceforge bug http://sourceforge.net/support/tracker.php?aid=3159929 on Tue Dec 10 17:34:12 2013

TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem pagehttp://www.google.com/imgres?imgurl=http://bringatrailer.com/wp-content/uploads/2008/06/1960_Peerless_Triumph_Rear_1.jpg&imgrefurl=http://bringatrailer.com/2008/06/04/ultra-rare-1960-peerless-gt-coupe-in-socal/&h=293&w=480&sz=29&tbnid=86Hn1dt-kh9cFM:&tbnh
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000099

Vincent Sanders (administrator)

From the provided log this backtrack shows us a long way down the stack. I believe this was a bug fixed with an update to unixlib

  ( 4898f8) pc: 9edf0 lr: 34474 sp: 4898fc gui_window_remove_caret()
  ( 48990c) pc: 34460 lr: 22bc8 sp: 489910 browser_window_remove_caret()
  ( 489938) pc: 229e4 lr: feb4 sp: 48993c ^browser_window_callback()
  ( 489978) pc: fe58 lr: 8734 sp: 489984 ^hlcache_content_callback()
  ( 4899c8) pc: 86c0 lr: 9ee4 sp: 4899d4 content_broadcast()
  ( 489a30) pc: 9e9c lr: 4dea4 sp: 489a34 content_set_ready()
  ( 489aa0) pc: 4dc34 lr: 4e0a4 sp: 489aa4 ^html_finish_conversion()
  ( 489ae0) pc: 4e008 lr: feb4 sp: 489ae4 ^html_convert_css_callback()
  ( 489b20) pc: fe58 lr: 8734 sp: 489b2c ^hlcache_content_callback()
  ( 489b70) pc: 86c0 lr: 9e74 sp: 489b7c content_broadcast()
  ( 489bd8) pc: 9e18 lr: 19c98 sp: 489bdc content_set_done()
  ( 489c44) pc: 19be8 lr: 19ad0 sp: 489c48 ^nscss_content_done()
  ( 489c60) pc: 199c0 lr: feb4 sp: 489c64 ^nscss_import()
  ( 489ca0) pc: fe58 lr: 8734 sp: 489cac ^hlcache_content_callback()
  ( 489cf0) pc: 86c0 lr: 9e74 sp: 489cfc content_broadcast()
  ( 489d58) pc: 9e18 lr: a1e8 sp: 489d5c content_set_done()
  ( 489dbc) pc: 9f8c lr: 112fc sp: 489dc0 ^content_llcache_callback()
  ( 489df0) pc: 11148 lr: 11fd8 sp: 489df4 ^llcache_object_notify_users()
  ( 489e14) pc: 11fb4 lr: 10668 sp: 489e18 llcache_poll()
  ( 489e2c) pc: 1065c lr: 2a988 sp: 489e30 hlcache_poll()
  ( 489e44) pc: 2a960 lr: 79030 sp: 489e48 netsurf_main_loop()
  ( 489ff0) pc: 788c4 lr: 3564a4 sp: 489ff4 main()
Vincent Sanders

~0000650

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2013-12-10 17:41 Vincent Sanders New Issue
2013-12-10 17:41 Vincent Sanders Status new => assigned
2013-12-10 17:41 Vincent Sanders Assigned To => Sourceforge Import placeholder
2013-12-20 23:01 Vincent Sanders URL of problem page => http://www.google.com/imgres?imgurl=http://bringatrailer.com/wp-content/uploads/2008/06/1960_Peerless_Triumph_Rear_1.jpg&imgrefurl=http://bringatrailer.com/2008/06/04/ultra-rare-1960-peerless-gt-coupe-in-socal/&h=293&w=480&sz=29&tbnid=86Hn1dt-kh9cFM:&tbnh
2013-12-20 23:01 Vincent Sanders Note Added: 0000099
2013-12-20 23:01 Vincent Sanders Assigned To Sourceforge Import placeholder =>
2013-12-20 23:01 Vincent Sanders Status assigned => resolved
2013-12-20 23:01 Vincent Sanders Resolution no change required => fixed
2013-12-20 23:01 Vincent Sanders Category General => RISC OS-specific
2013-12-20 23:01 Vincent Sanders OS => RISC OS
2013-12-20 23:01 Vincent Sanders OS Version => 6.16
2013-12-20 23:01 Vincent Sanders Product Version => 3.0
2013-12-20 23:01 Vincent Sanders Fixed in Version => 3.1
2013-12-20 23:01 Vincent Sanders Description Updated View Revisions
2013-12-20 23:01 Vincent Sanders Additional Information Updated View Revisions
2013-12-20 23:01 Vincent Sanders File Added: nslog244.zip
2015-03-10 10:34 Vincent Sanders Note Added: 0000650
2015-03-10 10:34 Vincent Sanders Status resolved => closed
2015-03-10 10:34 Vincent Sanders Assigned To => Vincent Sanders
+Issue History